All Classes Files Functions Typedefs Groups Pages
NexObject.h
Go to the documentation of this file.
#ifndef __NEXOBJECT_H__
#define __NEXOBJECT_H__
#include <Arduino.h>
#include "NexConfig.h"
class NexObject
{
public: /* methods */
NexObject(uint8_t pid, uint8_t cid, const char *name);
void printObjInfo(void);
protected: /* methods */
/*
* Get page id.
*
* @return the id of page.
*/
uint8_t getObjPid(void);
/*
* Get component id.
*
* @return the id of component.
*/
uint8_t getObjCid(void);
/*
* Get component name.
*
* @return the name of component.
*/
const char *getObjName(void);
private: /* data */
uint8_t __pid; /* Page ID */
uint8_t __cid; /* Component ID */
const char *__name; /* An unique name */
};
#endif /* #ifndef __NEXOBJECT_H__ */
NexObject::NexObject
NexObject(uint8_t pid, uint8_t cid, const char *name)
Definition: NexObject.cpp:17
NexObject
Definition: NexObject.h:32
NexObject::printObjInfo
void printObjInfo(void)
Definition: NexObject.cpp:39
NexConfig.h